Change the skill's settings
const url = 'https://example.com/api/v1/skill/settings';const options = { method: 'PUT', headers: { cookie: 'encore_session=<encore_session>', 'Content-Type': 'application/json' }, body: '{"content":["movies"],"endpoint":{"url":"example"},"invocation":"encore","locales_enabled":["example"],"privacy":{"allows_purchases":true,"contains_ads":true,"is_child_directed":true,"is_export_compliant":true,"uses_personal_info":true},"skill_name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/skill/settings \ --header 'Content-Type: application/json' \ --cookie encore_session=<encore_session> \ --data '{ "content": [ "movies" ], "endpoint": { "url": "example" }, "invocation": "encore", "locales_enabled": [ "example" ], "privacy": { "allows_purchases": true, "contains_ads": true, "is_child_directed": true, "is_export_compliant": true, "uses_personal_info": true }, "skill_name": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
What the skill can play; music includes music videos. Omit to keep the current choice.
object
The public HTTPS URL of /api/v1/alexa, served with a certificate from a public authority
Encore uses each locale’s own name for it (“kodi” in French); kodi is “kodi” in every locale
object
Empty uses each locale’s default
Responses
Section titled “Responses”OK
object
object
What the skill can play; music includes music videos
object
What people say, “Alexa, ask <invocation_name> to…”, in the first enabled locale
object
object
object
Why needs_deploy is set: the skill’s settings changed, or only the library titles in the model
Example
{ "content": [ "movies" ], "invocation": "encore", "last_deploy": { "locales": [ { "status": "succeeded" } ], "state": "succeeded" }, "state": "live", "update_reason": "none"}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}